# std::pmr::memory_resource::do_deallocate

From cppreference.com
< cpp‎ | memory‎ | memory resource

virtual void do_deallocate(void* p, std::size_t bytes, std::size_t alignment) = 0; |  | (since C++17)

Deallocates the storage pointed to by `p`.

`p` must have been returned by a prior call to `allocate(bytes, alignment)` on a `memory_resource` that compares equal to `*this`, and the storage it points to must not yet have been deallocated, otherwise the behavior is undefined.

### Exceptions

Throws nothing.

### See also

deallocate | deallocates memory (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/memory_resource/do_deallocate&oldid=85334"